Summary:	Mouse and keyboard sharing utility
Name:		synergy
Version:	1.7.5
Release:	%mkrel 1
License:	GPLv2
Url:		http://synergy-project.org/
Group:		Networking/Remote access
Source0:	https://github.com/synergy/synergy/archive/v%{version}-stable/%{name}-%{version}-stable.tar.xz
Source20:	synergyc.sgml
Source21:	synergyd.sgml
Source22:	synergy.sgml
Source23:	synergys.sgml
Patch11:	synergy-1.5.0-pthread.patch
Patch13:	synergy-1.7.3-test.patch
Patch21:	synergy-1.7.3-disable-version-check.patch
#-----------------------------------------------
BuildRequires: cmake
BuildRequires: docbook-to-man
BuildRequires: icoutils
BuildRequires: sgml-common
BuildRequires: %{_lib}avahi-compat-libdns_sd-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xinerama-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}xtst-devel
#----------------------------------------------
Obsoletes:	synergy-plus < %version

%description
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its
own display, without special hardware.  It's intended for users
with multiple computers on their desk since each system uses its
own display.

%prep
%setup -q -n %{name}-%{version}-stable
%apply_patches

#fix rigths
chmod 644 doc/* ChangeLog

rm -rf ext/openssl-*
rm -rf ext/bonjour

%build
pushd src/gui
	%qmake_qt4 INCLUDEPATH=%{_includedir}/avahi-compat-libdns_sd/
	%make
popd

%cmake
%make

%install
rm -rf %buildroot
# binaries
install -Dpm755 bin/synergyc %{buildroot}%{_bindir}/synergyc
install -Dpm755 bin/synergyd %{buildroot}%{_bindir}/synergyd
install -Dpm755 bin/synergys %{buildroot}%{_bindir}/synergys
install -Dpm755 bin/synergy %{buildroot}%{_bindir}/synergy
install -Dpm755 bin/syntool %{buildroot}%{_bindir}/syntool
install -Dpm755 bin/usynergy %{buildroot}%{_bindir}/usynergy

#plugins
install -d %{buildroot}%{_libdir}/%{name}/plugins
install -pm644 bin/plugins/* %{buildroot}%{_libdir}/%{name}/plugins/

for i in %{_sourcedir}/*.sgml; do
	docbook-to-man $i > $(basename $i .sgml).1
	install -Dpm 644 $(basename $i .sgml).1 %{buildroot}%{_mandir}/man1/$(basename $i .sgml).1
done

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat >> %{buildroot}%{_datadir}/applications/synergy.desktop << EOF
[Desktop Entry]
Name=Synergy
GenericName=Synergy GUI Frontend
Comment=Share your keyboard and mouse over a network
Exec=synergy
Icon=synergy
Type=Application
Categories=Qt;Utility;X-MandrivaLinux-System-Configuration-Hardware;
EOF

#conf
install -Dpm644 doc/synergy.conf.example %{buildroot}%{_sysconfdir}/%{name}.conf

# icon
icotool -x --palette-size=0 -o . src/gui/res/icons/256x256/synergy.ico

for i in 16 24 32 48 256; do
	install -Dm644 synergy_?_${i}x${i}x32.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/synergy.png
done

%files
%doc ChangeLog
%doc doc/synergy.conf.*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/synergyc
%{_bindir}/synergyd
%{_bindir}/synergys
%{_bindir}/syntool
%{_bindir}/usynergy

%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/plugins/libns.so
%{_mandir}/man1/synergyc.*
%{_mandir}/man1/synergyd.*
%{_mandir}/man1/synergys.*

%{_datadir}/applications/synergy.desktop
%{_iconsdir}/hicolor/*/apps/synergy.png
%{_bindir}/synergy
%{_mandir}/man1/synergy.*

%changelog
* Wed Dec 16 2015 bb <bb> 1.7.5-1pclos2015
- update

* Fri May 03 2013 Texstar <texstar at gmail.com> 1.4.10-1pclos2013
- 1.4.10
- gtk4 patch merged upstream

* Sat Dec 17 2011 Texstar <texstar at gmail.com> 1.4.5-1pclos2011
- 1.4.5